#!/bin/bash
script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
cd $script_dir
set -e
export FORMAT=YAML
mkdir -p tmp/

rm -rf tmp/overlay-network
cp -r ../overlay-network tmp/
rm -rf tmp/overlay-network/tmp
cd tmp/overlay-network/vm_configs
find . -maxdepth 1 -type f ! -name 'template-n.yaml' -exec rm -- '{}' +

setup_vm () {
  vm_name="$1"
  cp template-n.yaml $vm_name.yaml
  sed -i "s/template-n/$vm_name/" $vm_name.yaml
  sed -i '/PublishPorts/d' $vm_name.yaml
  echo "ipv4: !PublishPorts [ 31337 ]" >> $vm_name.yaml
}

setup_vm brain-1
setup_vm brain-2
setup_vm brain-3
setup_vm brain-bastion
setup_vm brain-mon
rm template-n.yaml

cd ../
./create_vms.sh
./setup_wg_mesh.sh
